#
# spec file for package gnu-crypto
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnu-crypto
Version:        2.0.1
Release:        259.1
Summary:        GNU Crypto
License:        GPL-2.0+
Group:          Development/Languages/Java
Url:            http://www.gnu.org/software/gnu-crypto/
Source:         ftp://ftp.gnu.org/gnu/%{name}/releases/%{name}-%{version}.tar.bz2
Patch0:         sasl-functions.patch
BuildRequires:  ant
BuildRequires:  classpath
BuildRequires:  groff
BuildRequires:  java-1_5_0-gcj-compat-devel
BuildRequires:  texinfo
BuildRequires:  texlive
BuildRequires:  unzip
Provides:       jce
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
GNU Crypto, part of the GNU project, released under the aegis of GNU,
aims at providing free, versatile, high-quality, and provably correct
implementations of cryptographic primitives and tools in the Java
programming language for use by programmers and end-users.

%prep
%setup -q
%patch0

%build
CLASSPATH=$(build-classpath glibj) ant jar

%install
mkdir -p %{buildroot}/%{_javadir}
cp lib/*.jar %{buildroot}/%{_javadir}

%files
%defattr(-,root,root)
%{_javadir}/*

%changelog
* Tue Oct  7 2014 tchvatal@suse.com
- Cleanup a bit with spec-cleaner
* Fri Sep 13 2013 mvyskocil@suse.com
- drop javadoc package
* Sat Oct 27 2012 coolo@suse.com
- add buildrequire groff
* Mon Jun 18 2007 dbornkessel@suse.de
- added patch for changed sasl-function signatures
* Wed May  2 2007 dbornkessel@suse.de
- added unzip to BuildRequires
* Sun Apr 22 2007 aj@suse.de
- Use texlive.
* Thu Jan 11 2007 dbornkessel@suse.de
- first version (dependency for tomcat55)
